Skip to content

Update Business Profile

Update an existing business profile.

This endpoint updates an existing business profile. It allows modifying business identification details and contact information.

Please note that all properties are replaced with the values from the request payload. If a property is not specified, it will be replaced with an empty value.

Any change results in a new version.

Endpoint

MethodUrl
PUT/v1.0/business-profiles/:profile_id

Path Parameters

profile_id
•
string
required

The unique identifier of the profile to update.

Request Body

Warning

Given this is a PUT, when a property is omitted, it will be defaulted to null. This applies to nested objects as well. For example, if the existing profile has a contact_info.phone_number defined, if omitted from the next update request, the property will be set to null.

business_info
•
object
required

Object containing the business's identification information. See the business info object.

contact_info
•
object

Object containing the business's contact details. See the contact info object.

Sample Request

bash
Copied
1curl -X PUT 'https://api.worklayer.com/v1.0/business-profiles/3b31f309-93ad-463a-ad1d-c39cac1c0a3d' \
2-H 'Authorization: Bearer {token}' \
3-H 'Content-Type: application/json' \
4-d '{
5 "business_info": {
6 "business_name": "Acme Corporation",
7 "date_of_incorporation": "01/01/2020",
8 "employer_identification_number": "12-3456789"
9 },
10 "contact_info": {
11 "email": "contact@acme.com",
12 "phone_number": "+1-555-555-5555",
13 "address": {
14 "address_line_1": "123 Business Ave",
15 "address_line_2": "Suite 100",
16 "city": "Miami",
17 "region": "FL",
18 "postal_code": "33134",
19 "country": "United States"
20 }
21 }
22}'

Response

id
•
string

Unique identifier of the updated profile.

version
•
integer

Version number of the updated profile.

Sample Response

json
Copied
1{
2 "id": "3b31f309-93ad-463a-ad1d-c39cac1c0a3d",
3 "version": 2
4}

Errors

  • 400: Invalid request body
  • 403: You're not allowed to update the profile
  • 404: Profile not found
Last updated on December 9, 2024